(function (cjs, an) {

var p; // shortcut to reference prototypes
var lib={};var ss={};var img={};
lib.ssMetadata = [];


// symbols:
// helper functions:

function mc_symbol_clone() {
	var clone = this._cloneProps(new this.constructor(this.mode, this.startPosition, this.loop));
	clone.gotoAndStop(this.currentFrame);
	clone.paused = this.paused;
	clone.framerate = this.framerate;
	return clone;
}

function getMCSymbolPrototype(symbol, nominalBounds, frameBounds) {
	var prototype = cjs.extend(symbol, cjs.MovieClip);
	prototype.clone = mc_symbol_clone;
	prototype.nominalBounds = nominalBounds;
	prototype.frameBounds = frameBounds;
	return prototype;
	}


(lib.windmill_wing = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer 1
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#D5D5D5").s().p("AgQAyIgdAAIALhLIAEgYIAXAAIA1AAIAAAYIAABLg");
	this.shape.setTransform(0.9,-27.4);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#EBEBEB").s().p("AABJoIgDhWQgGhXgGgOIgQgdQgKgRgDgQQgdinAbj5QAHhAAMhcIACgMIAcAAIgBAMQgPDFgFDMQgCBCAVCNQAVBHgMBYIgBAfIgDAwQgGgJAAgQgAgKk+IAXiiQAhipANAKIgFAIQgDAGgGAtIgHA3QgNBRgMB+g");
	this.shape_1.setTransform(-1.1,-0.6);

	this.shape_2 = new cjs.Shape();
	this.shape_2.graphics.f("#999999").s().p("AgIAJQgDgEAAgFQAAgEADgDQAEgEAEAAQAFAAADAEQAEADAAAEQAAAFgEAEQgDADgFAAQgEAAgEgDg");
	this.shape_2.setTransform(2.2,62.2);

	this.shape_3 = new cjs.Shape();
	this.shape_3.graphics.f("#FFFFFF").s().p("AgMJ/IgEgEIADgwIABggQAMhYgVhGQgWiNAChDQAEjMARjFIABgMIA9AAIAAAMIAAM2QAAAQgKAKQgJAKgNABIgDAAQgLAAgIgIgAAAJlQgCADAAAFQAAAFACAEQAEADAFAAQAFAAADgDQAEgEAAgFQAAgFgEgDQgDgEgFAAQgFAAgEAEgAgKlFQALh9ANhSIAHg2QAGgtADgGIAFgJQAEACADAIIAAE3g");
	this.shape_3.setTransform(1.3,0.1);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape_3},{t:this.shape_2},{t:this.shape_1},{t:this.shape}]}).wait(1));

}).prototype = getMCSymbolPrototype(lib.windmill_wing, new cjs.Rectangle(-7,-64.6,12.6,129.4), null);


(lib.windmill_stand = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer 1
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#EBEBEB").s().p("AgUOiIAa9PQAIgMAHgDIAAd5QgUgEgVgXg");
	this.shape.setTransform(-2.8,0.1);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#FFFFFF").s().p("AgWO9IgFAAIAA95IAFgBQALAAALAQIAcdPQgYAcgXAAIgDgBg");
	this.shape_1.setTransform(2.1,0.1);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape_1},{t:this.shape}]}).wait(1));

}).prototype = getMCSymbolPrototype(lib.windmill_stand, new cjs.Rectangle(-4.9,-95.7,9.9,191.5), null);


(lib.shadow = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer 1
	this.shape = new cjs.Shape();
	this.shape.graphics.rf(["#000000","rgba(255,255,255,0)"],[0,1],0,0.1,0,0,0.1,18.9).s().p("AiKA2Qg5gWAAggQAAgdA5gYQA5gWBRAAQBSAAA5AWQA5AYAAAdQAAAgg5AWQg5AWhSABQhRgBg5gWg");
	this.shape.setTransform(-7.1,12.4);

	this.timeline.addTween(cjs.Tween.get(this.shape).wait(1));

}).prototype = getMCSymbolPrototype(lib.shadow, new cjs.Rectangle(-26.7,4.8,39.2,15.3), null);


(lib.circle = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer 1
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#FFFFFF").s().p("AgoAoQgPgRgBgXQABgWAPgRQARgQAXAAQAYAAAPAQQASARAAAWQAAAXgSARQgPAQgYAAQgXAAgRgQg");
	this.shape.setTransform(0.5,-0.3);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#EBEBEB").s().p("AgvAwQgTgUAAgcQAAgaATgVQAUgTAbAAQAcAAATATQAUAVAAAaQAAAcgUAUQgTATgcAAQgbAAgUgTgAgjgqQgQAQAAAYQAAAWAQARQAQAQAXAAQAYAAAPgQQASgRAAgWQAAgYgSgQQgPgRgYABQgXgBgQARg");

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape_1},{t:this.shape}]}).wait(1));

}).prototype = getMCSymbolPrototype(lib.circle, new cjs.Rectangle(-6.7,-6.7,13.4,13.4), null);


(lib.windmill_spining_part = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer 1
	this.instance = new lib.windmill_wing();
	this.instance.parent = this;
	this.instance.setTransform(2.6,26.1,0.998,0.998,124.8,0,0,2.4,62.4);

	this.instance_1 = new lib.windmill_wing();
	this.instance_1.parent = this;
	this.instance_1.setTransform(2.8,26.1,0.999,0.999,-117.6,0,0,2.1,62.3);

	this.instance_2 = new lib.windmill_wing();
	this.instance_2.parent = this;
	this.instance_2.setTransform(2.8,26,1,1,0,0,0,2.3,62.4);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.instance_2},{t:this.instance_1},{t:this.instance}]}).wait(1));

}).prototype = getMCSymbolPrototype(lib.windmill_spining_part, new cjs.Rectangle(-111.2,-101,223.4,202.1), null);


(lib.windmill_mc_02 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// circle
	this.instance = new lib.circle();
	this.instance.parent = this;
	this.instance.setTransform(1.8,-51.2);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(88));

	// windmill_spining_part
	this.instance_1 = new lib.windmill_spining_part();
	this.instance_1.parent = this;
	this.instance_1.setTransform(1.9,-51.2,0.686,0.686,0,0,0,2.8,25.9);

	this.timeline.addTween(cjs.Tween.get(this.instance_1).to({rotation:-360},87).wait(1));

	// windmill_stand
	this.instance_2 = new lib.windmill_stand();
	this.instance_2.parent = this;
	this.instance_2.setTransform(2.1,42.6);

	this.timeline.addTween(cjs.Tween.get(this.instance_2).wait(88));

	// circle
	this.instance_3 = new lib.circle();
	this.instance_3.parent = this;
	this.instance_3.setTransform(2,-50.7,1.557,1.557,-55.4);

	this.timeline.addTween(cjs.Tween.get(this.instance_3).wait(88));

	// Layer 6
	this.instance_4 = new lib.shadow();
	this.instance_4.parent = this;
	this.instance_4.setTransform(11.9,119.9,1.34,1.34);
	this.instance_4.alpha = 0.301;

	this.timeline.addTween(cjs.Tween.get(this.instance_4).wait(88));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-76.3,-138.3,153.3,285.1);


// stage content:
(lib.Element_energy_windturbine_Canvas = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer 1
	this.instance = new lib.windmill_mc_02();
	this.instance.parent = this;
	this.instance.setTransform(198.3,197.6,1.142,1.142);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(311.1,239.5,175,325.8);
// library properties:
lib.properties = {
	id: '1C1465E89A11CF458D190FA26FEA5E36',
	width: 400,
	height: 400,
	fps: 24,
	color: "#CCCCCC",
	opacity: 1.00,
	manifest: [],
	preloads: []
};



// bootstrap callback support:

(lib.Stage = function(canvas) {
	createjs.Stage.call(this, canvas);
}).prototype = p = new createjs.Stage();

p.setAutoPlay = function(autoPlay) {
	this.tickEnabled = autoPlay;
}
p.play = function() { this.tickEnabled = true; this.getChildAt(0).gotoAndPlay(this.getTimelinePosition()) }
p.stop = function(ms) { if(ms) this.seek(ms); this.tickEnabled = false; }
p.seek = function(ms) { this.tickEnabled = true; this.getChildAt(0).gotoAndStop(lib.properties.fps * ms / 1000); }
p.getDuration = function() { return this.getChildAt(0).totalFrames / lib.properties.fps * 1000; }

p.getTimelinePosition = function() { return this.getChildAt(0).currentFrame / lib.properties.fps * 1000; }

an.bootcompsLoaded = an.bootcompsLoaded || [];
if(!an.bootstrapListeners) {
	an.bootstrapListeners=[];
}

an.bootstrapCallback=function(fnCallback) {
	an.bootstrapListeners.push(fnCallback);
	if(an.bootcompsLoaded.length > 0) {
		for(var i=0; i<an.bootcompsLoaded.length; ++i) {
			fnCallback(an.bootcompsLoaded[i]);
		}
	}
};

an.compositions = an.compositions || {};
an.compositions['1C1465E89A11CF458D190FA26FEA5E36'] = {
	getStage: function() { return exportRoot.getStage(); },
	getLibrary: function() { return lib; },
	getSpriteSheet: function() { return ss; },
	getImages: function() { return img; }
};

an.compositionLoaded = function(id) {
	an.bootcompsLoaded.push(id);
	for(var j=0; j<an.bootstrapListeners.length; j++) {
		an.bootstrapListeners[j](id);
	}
}

an.getComposition = function(id) {
	return an.compositions[id];
}



})(createjs = createjs||{}, AdobeAn = AdobeAn||{});
var createjs, AdobeAn;